<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<div id="main">
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->	
	
		
	<div id="content" class="content">
		
	<h1><xsl:call-template name="_AvgVOC"/></h1>
		
			
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->	
	
	</div><!-- main -->	

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

	<!-- Vypis skupin v reportu ******************************************* -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow">
	
		<h3>
			<xsl:if test="@COMPONENT_GROUP = 'R_VOC-a'">
				VOC - ČHMÚ
			</xsl:if>
			
			<xsl:if test="@COMPONENT_GROUP = 'R_VOC-b'">
				VOC - ZÚ
			</xsl:if>
		</h3>
		
		<!-- Telo skupiny ***************************************************** -->
		<div>
		<xsl:apply-templates/>
		</div>
		<!-- ****************************************************************** -->
		
	
	</xsl:template>
	<!-- ****************************************************************** -->
	
	   
    <!-- Vypis mericich programu ****************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow">	
		
		<xsl:if test="../../@OWNER = 'ČHMÚ' or ../../@OWNER = 'CHMI'" >
						
			<xsl:if test="../../../../../../../../@COMPONENT_GROUP = 'R_VOC-a'" >
			
				<!--
				<xsl:if test="@COUNT_CHILDS = 0">
					<xsl:value-of select="./@CODE"/>, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)
					<span class="nodata"><xsl:call-template name="_NoData"/></span><br/>	
				</xsl:if>
				-->
				
				<xsl:if test="@COUNT_CHILDS &gt; 0">
				
					<xsl:element name="a">
							<xsl:attribute name="href">month_<xsl:value-of select="./@CODE"/>_<xsl:value-of select="../../../../../../../../@COMPONENT_GROUP"/>.xml</xsl:attribute>
							<xsl:value-of select="./@CODE"/>	
					</xsl:element><!-- a -->, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)<br/>	
				
				</xsl:if>
				
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@OWNER = 'ZÚ' or ../../@OWNER = 'HS'" >
			<xsl:if test="../../../../../../../../@COMPONENT_GROUP = 'R_VOC-b'" >
			
				<xsl:if test="@COUNT_CHILDS = 0">
					<xsl:value-of select="./@CODE"/>, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)
					<span class="nodata"><xsl:call-template name="_NoData"/></span><br/>	
				</xsl:if>
				
				<xsl:if test="@COUNT_CHILDS &gt; 0">
				
					<xsl:element name="a">
							<xsl:attribute name="href">month_<xsl:value-of select="./@CODE"/>_<xsl:value-of select="../../../../../../../../@COMPONENT_GROUP"/>.xml</xsl:attribute>
							<xsl:value-of select="./@CODE"/>	
					</xsl:element><!-- a -->, 
					<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)<br/>	
				
				</xsl:if>
				
			</xsl:if>
		</xsl:if>
		
	</xsl:template>
	<!-- ****************************************************************** -->

</xsl:stylesheet>
