<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">	
	
	<h1><xsl:call-template name="_PrecipIrregularTitle"/></h1>
	<h3><xsl:call-template name="_LayoutOwners"/></h3>
					
	<!-- ****************************************************************** -->	
		
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

	<!-- Muenchian grouping method is my friend :-)                         -->
	<xsl:key name="ownerKey" match="S_AN_REPORT/DataRow/S_AN_IRREGULAR_AVG/DataRow/S_AN_IRREGULAR_AVG_REGION/DataRow/S_AN_IRREGULAR_AVG_DISTRICT/DataRow/S_AN_IRREGULAR_AVG_LOCALITY/DataRow" use="@OWNER" />	
		   
    <!-- Vypis vlastniku lokalit ****************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_IRREGULAR_AVG/DataRow/S_AN_IRREGULAR_AVG_REGION/DataRow/S_AN_IRREGULAR_AVG_DISTRICT/DataRow/S_AN_IRREGULAR_AVG_LOCALITY">	
				
			<xsl:for-each select="DataRow[count(.|key('ownerKey', @OWNER)[1])=1]">
				<h3><xsl:value-of select="@OWNER"/></h3>
				<xsl:apply-templates select="key('ownerKey', @OWNER)" />							
			</xsl:for-each>
				
	</xsl:template>
	<!-- ****************************************************************** -->
	
    <!-- Vypis mericich programu, pro daneho vlastnika lokality *********** -->
	<xsl:template match="S_AN_IRREGULAR_AVG_MEAS_PRG/DataRow">
						
		<!--
		<xsl:if test="@COUNT_CHILDS = 0">
			<xsl:value-of select="./@CODE"/>, 
			<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)
			<span class="nodata"><xsl:call-template name="_NoData"/></span><br/>	
		</xsl:if>
		-->
		
		<xsl:if test="@COUNT_CHILDS &gt; 0">
		
			<xsl:element name="a">
					<xsl:attribute name="href">irregular_<xsl:value-of select="./@CODE"/>.xml</xsl:attribute>
					<xsl:value-of select="./@CODE"/>	
			</xsl:element><!-- a -->, 
			<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)<br/>	
		</xsl:if>
		
	</xsl:template>	
	<!-- ****************************************************************** -->

</xsl:stylesheet>
