<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:variable name="COMPONENT_GROUP" select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@COMPONENT_GROUP"/>

	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
		
	<h1><xsl:call-template name="_DayValuesPAH"/></h1>
	
	<!-- ****************************************************************** -->	


	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/S_AN_PAH_DAY_VALUES_LOCALITY/DataRow/@OWNER"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
				<xsl:element name="a">
					<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/S_AN_PAH_DAY_VALUES_LOCALITY/DataRow/S_AN_PAH_DAY_VALUES_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/S_AN_PAH_DAY_VALUES_LOCALITY/DataRow/S_AN_PAH_DAY_VALUES_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
					<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/S_AN_PAH_DAY_VALUES_LOCALITY/DataRow/S_AN_PAH_DAY_VALUES_MEAS_PRG/DataRow/@CODE"/>	
				</xsl:element>, <!-- A -->
				<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/S_AN_PAH_DAY_VALUES_LOCALITY/DataRow/@LOCALITY"/>
			</td>
		</tr>
		<tr><th align="left"><xsl:call-template name="_SamplingMethod"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/S_AN_PAH_DAY_VALUES_LOCALITY/DataRow/S_AN_PAH_DAY_VALUES_MEAS_PRG/DataRow/@MEAS_PRG_TYPE"/></td></tr>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>	
			<th align="center"><xsl:call-template name="_Date"/></th>
			<th align="center">A</th>
			<th align="center">Ac</th>
			<th align="center">Acl</th>
			<th align="center">BaA</th>
			<th align="center">BaP</th>
			<th align="center">BbF</th>
			<th align="center">BkF</th>
			<th align="center">DBahA</th>
			<th align="center">FEN</th>
			<th align="center">Fl</th>
			<th align="center">FLU</th>
			<th align="center">I123cdP</th>
			<th align="center">N</th>
			<th align="center">PYR</th>
		</tr>
		<tr>	
			<th align="center"></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_A"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_AC"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_ACL"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_BAA"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_BAP"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_BBF"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_BKF"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_DBAHA"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_FEN"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_FL"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_FLU"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_I123CDP"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_N"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/@UNIT_AS_HTML_PYR"/></th>
		</tr>	
		<xsl:apply-templates/>	
		
    </table>
    
    </div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis dennich prumeru ****************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_PAH_DAY_VALUES/DataRow/S_AN_PAH_DAY_VALUES_REGION/DataRow/S_AN_PAH_DAY_VALUES_DISTRICT/DataRow/S_AN_PAH_DAY_VALUES_LOCALITY/DataRow/S_AN_PAH_DAY_VALUES_MEAS_PRG/DataRow/S_AN_PAH_DAY_VALUES_DET/DataRow">
	
	<tr align="right">
		<td align="center"><xsl:value-of select="@DATE_VALUE"/></td>
		<td align="right"><xsl:value-of select="@VALUE_A"/></td>
		<td align="right"><xsl:value-of select="@VALUE_AC"/></td>
		<td align="right"><xsl:value-of select="@VALUE_ACL"/></td>
		<td align="right"><xsl:value-of select="@VALUE_BAA"/></td>
		<td align="right"><xsl:value-of select="@VALUE_BAP"/></td>
		<td align="right"><xsl:value-of select="@VALUE_BBF"/></td>
		<td align="right"><xsl:value-of select="@VALUE_BKF"/></td>
		<td align="right"><xsl:value-of select="@VALUE_DBAHA"/></td>
		<td align="right"><xsl:value-of select="@VALUE_FEN"/></td>
		<td align="right"><xsl:value-of select="@VALUE_FL"/></td>
		<td align="right"><xsl:value-of select="@VALUE_FLU"/></td>
		<td align="right"><xsl:value-of select="@VALUE_I123CDP"/></td>
		<td align="right"><xsl:value-of select="@VALUE_N"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PYR"/></td>
	</tr>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
