<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:variable name="COMPONENT_GROUP" select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@COMPONENT_GROUP"/>

	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
		
	<h1><xsl:call-template name="_DayValuesPCB"/></h1>
								
	<!-- ****************************************************************** -->	


	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/S_AN_PCB_DAY_VALUES_LOCALITY/DataRow/@OWNER"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
				<xsl:element name="a">
					<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/S_AN_PCB_DAY_VALUES_LOCALITY/DataRow/S_AN_PCB_DAY_VALUES_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/S_AN_PCB_DAY_VALUES_LOCALITY/DataRow/S_AN_PCB_DAY_VALUES_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
					<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/S_AN_PCB_DAY_VALUES_LOCALITY/DataRow/S_AN_PCB_DAY_VALUES_MEAS_PRG/DataRow/@CODE"/>	
				</xsl:element>, <!-- A -->
				<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/S_AN_PCB_DAY_VALUES_LOCALITY/DataRow/@LOCALITY"/>
			</td>
		</tr>
		<tr><th align="left"><xsl:call-template name="_SamplingMethod"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/S_AN_PCB_DAY_VALUES_LOCALITY/DataRow/S_AN_PCB_DAY_VALUES_MEAS_PRG/DataRow/@MEAS_PRG_TYPE"/></td></tr>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>	
			<th align="center"><xsl:call-template name="_Date"/></th>
			<th align="center">alpha-HCH</th>
			<th align="center">beta-HCH</th>
			<th align="center">delta-HCH</th>
			<th align="center">gamma-HCH</th>
			<th align="center">HCB</th>
			<th align="center">PCB28</th>
			<th align="center">PCB52</th>
			<th align="center">PCB101</th>
			<th align="center">PCB118</th>
			<th align="center">PCB138</th>
			<th align="center">PCB153</th>
			<th align="center">PCB180</th>
			<th align="center">pp-DDD</th>
			<th align="center">pp-DDE</th>
			<th align="center">pp-DDT</th>
		</tr>
		<tr>	
			<th align="center"></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_ALPHA_HCH"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_BETA_HCH"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_DELTA_HCH"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_GAMMA_HCH"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_HCB"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PCB28"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PCB52"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PCB101"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PCB118"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PCB138"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PCB153"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PCB180"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PP_DDD"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PP_DDE"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/@UNIT_AS_HTML_PP_DDT"/></th>
		</tr>	
		<xsl:apply-templates/>	
		
    </table>
    
    <p>&nbsp;</p>
		
	<!-- ****************************************************************** -->	
	
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis dennich prumeru ****************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_PCB_DAY_VALUES/DataRow/S_AN_PCB_DAY_VALUES_REGION/DataRow/S_AN_PCB_DAY_VALUES_DISTRICT/DataRow/S_AN_PCB_DAY_VALUES_LOCALITY/DataRow/S_AN_PCB_DAY_VALUES_MEAS_PRG/DataRow/S_AN_PCB_DAY_VALUES_DET/DataRow">
	
	<tr align="right">
		<td align="center"><xsl:value-of select="@DATE_VALUE"/></td>
		<td align="right"><xsl:value-of select="@VALUE_ALPHA_HCH"/></td>
		<td align="right"><xsl:value-of select="@VALUE_BETA_HCH"/></td>
		<td align="right"><xsl:value-of select="@VALUE_DELTA_HCH"/></td>
		<td align="right"><xsl:value-of select="@VALUE_GAMMA_HCH"/></td>
		<td align="right"><xsl:value-of select="@VALUE_HCB"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PCB28"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PCB52"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PCB101"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PCB118"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PCB138"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PCB153"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PCB180"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PP_DDD"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PP_DDE"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PP_DDT"/></td>
	</tr>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
