<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
		
	<h1><xsl:call-template name="_YearDeposTitle"/></h1>
	<h3><xsl:call-template name="_LayoutOwners"/></h3>

	<!-- ****************************************************************** -->	
		
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

		   
    <!-- Vypis vlastniku lokalit ****************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow">	
	
	<xsl:if test="@NUM_VALUES &gt; 0">
						
		<xsl:element name="a">
				<xsl:attribute name="href">y_wet_depos_<xsl:value-of select="./@ID"/>.xml</xsl:attribute>
				<xsl:value-of select="./@OWNER_ABBREV"/>	
		</xsl:element><!-- a -->, 
		<xsl:value-of select="./@OWNER"/> - 
			
			<xsl:if test="@SAMPLING_INT = '0000-00-01 00:00:00'">
				<xsl:call-template name="_DayValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="@SAMPLING_INT = '0000-00-07 00:00:00'">
				<xsl:call-template name="_WeekValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="@SAMPLING_INT = '0000-01-00 00:00:00'">
				<xsl:call-template name="_MonthValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="@SAMPLING_INT = '0000-00-00 00:00:00'">
				<xsl:call-template name="_IrregularValues"/><br/>	
			</xsl:if>
	</xsl:if>
	</xsl:template>	
	<!-- ****************************************************************** -->

</xsl:stylesheet>
  