<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY infin "&#xE372;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:variable name="COMPONENT_GROUP" select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/@COMPONENT_GROUP"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<div id="main">
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
		
	<h1>WROSE</h1>
	<h2><xsl:call-template name="_WROSESubTitle"/></h2>

	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/I_S_AN_WROSE_LOCALITY/DataRow/@OWNER"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
				<xsl:element name="a">
					<xsl:attribute name="href">../pollution_meas_prg/mp_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/I_S_AN_WROSE_LOCALITY/DataRow/I_S_AN_WROSE_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/I_S_AN_WROSE_LOCALITY/DataRow/I_S_AN_WROSE_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
					<b>
						<xsl:attribute name="id">mp_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/I_S_AN_WROSE_LOCALITY/DataRow/I_S_AN_WROSE_MEAS_PRG/DataRow/@CODE"/></xsl:attribute>
						<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/I_S_AN_WROSE_LOCALITY/DataRow/I_S_AN_WROSE_MEAS_PRG/DataRow/@CODE"/>	
					</b>
				</xsl:element><!-- a -->
			
				, <xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/I_S_AN_WROSE_LOCALITY/DataRow/@LOCALITY"/>
			</td>
		</tr>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>	
			<th align="center"><xsl:call-template name="_SpeedClasses"/></th>
			<th align="center"><xsl:call-template name="_WindSpeed"/></th>
			<th align="center"><xsl:call-template name="_DirectionN"/></th>
			<th align="center"><xsl:call-template name="_DirectionNE"/></th>
			<th align="center"><xsl:call-template name="_DirectionE"/></th>
			<th align="center"><xsl:call-template name="_DirectionSE"/></th>
			<th align="center"><xsl:call-template name="_DirectionS"/></th>
			<th align="center"><xsl:call-template name="_DirectionSW"/></th>
			<th align="center"><xsl:call-template name="_DirectionW"/></th>
			<th align="center"><xsl:call-template name="_DirectionNW"/></th>
			<th align="center"><xsl:call-template name="_WindCalm"/></th>
			<th align="center"><xsl:call-template name="_Sum"/></th>
		</tr>

		<xsl:apply-templates/>	
		
    </table>
    		
	<!-- ****************************************************************** -->	
	
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis mesicnich prumeru ****************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_WROSE/DataRow/I_S_AN_WROSE_REGION/DataRow/I_S_AN_WROSE_DISTRICT/DataRow/I_S_AN_WROSE_LOCALITY/DataRow/I_S_AN_WROSE_MEAS_PRG/DataRow/I_S_AN_WROSE_DET/DataRow">
	
	<xsl:if test="@VELOCITY_CLASS = 1">
		<tr align="right">
			<td align="center"><xsl:value-of select="@VELOCITY_CLASS"/></td>
			<td align="center"><xsl:value-of disable-output-escaping='yes' select="@VELOCITY"/></td>
			<td><xsl:value-of select="@DIRECITON_N"/></td>
			<td><xsl:value-of select="@DIRECITON_NE"/></td>
			<td><xsl:value-of select="@DIRECITON_E"/></td>
			<td><xsl:value-of select="@DIRECITON_SE"/></td>
			<td><xsl:value-of select="@DIRECITON_S"/></td>
			<td><xsl:value-of select="@DIRECITON_SW"/></td>
			<td><xsl:value-of select="@DIRECITON_W"/></td>
			<td><xsl:value-of select="@DIRECITON_NW"/></td>
			<td><xsl:value-of select="@DIRECITON_CALM"/></td>
			<td><strong><xsl:value-of select="@DIRECITON_TOTAL"/></strong></td>
		</tr>
	</xsl:if>
	
	<xsl:if test="@VELOCITY_CLASS &lt; 6 and @VELOCITY_CLASS &gt; 1">
		<tr align="right">
			<td align="center"><xsl:value-of select="@VELOCITY_CLASS"/></td>
			<td align="center"><xsl:value-of disable-output-escaping='yes' select="@VELOCITY"/></td>
			<td><xsl:value-of select="@DIRECITON_N"/></td>
			<td><xsl:value-of select="@DIRECITON_NE"/></td>
			<td><xsl:value-of select="@DIRECITON_E"/></td>
			<td><xsl:value-of select="@DIRECITON_SE"/></td>
			<td><xsl:value-of select="@DIRECITON_S"/></td>
			<td><xsl:value-of select="@DIRECITON_SW"/></td>
			<td><xsl:value-of select="@DIRECITON_W"/></td>
			<td><xsl:value-of select="@DIRECITON_NW"/></td>
			<td> </td>
			<td><strong><xsl:value-of select="@DIRECITON_TOTAL"/></strong></td>
		</tr>
	</xsl:if>

	<xsl:if test="@VELOCITY_CLASS = 100">
		<tr align="right">
			<td colspan="2"></td>
			<td><strong><xsl:value-of select="@DIRECITON_N"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_NE"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_E"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_SE"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_S"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_SW"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_W"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_NW"/></strong></td>
			<td><strong><xsl:value-of select="@DIRECITON_CALM"/></strong></td>
			<td><strong>100,00</strong></td>
		</tr>
	</xsl:if>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
