<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/helpline_texts.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:variable name="COMPONENT_GROUP" select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/@COMPONENT_GROUP"/>
	<xsl:variable name="REPORT_GROUP" select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/@REPORT_GROUP"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
		<xsl:call-template name="_JavaScripts1"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<div id="main">
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->	
	
		
	<div id="content" class="content">	
		
	<h1><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/@COMPONENT_GROUP_ABBREV"/></h1>
				
	<h2>
		<xsl:choose>
			<xsl:when test="$REPORT_GROUP = 'TK'"><xsl:call-template name="_M_TK_Chars"/></xsl:when>
			<xsl:when test="$REPORT_GROUP = 'VOC'"><xsl:call-template name="_AvgVOC"/></xsl:when>
			<xsl:when test="$REPORT_GROUP = 'POPS'"><xsl:call-template name="_AvgPOPs"/></xsl:when>
		</xsl:choose>
	</h2>

	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
				<xsl:element name="a">
					<xsl:attribute name="href">../pollution_meas_prg/mp_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
					<b>
						<xsl:attribute name="id">month_<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/></xsl:attribute>
						<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>	
					</b>
				</xsl:element><!-- a -->
			
				, <xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/@LOCALITY"/>
			</td>
		</tr>
		<tr><th align="left"><xsl:call-template name="_OldIsko2"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@MEAS_PRG_ISKO"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/@OWNER"/></td></tr>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>	
			<th rowspan="2" align="center"><xsl:call-template name="_Matter"/></th>
			<th rowspan="2" align="center"><xsl:call-template name="_Method"/></th>
			<th rowspan="2" align="center"><xsl:call-template name="_Unit"/></th>
			<th rowspan="2"></th>
			<th colspan="12" align="center"><xsl:call-template name="_MonthConc"/></th>
			<th rowspan="2"><xsl:call-template name="_Years"/><br/><xsl:call-template name="_Average"/></th>
		</tr>
		
		<tr>	
			<th>1</th>
			<th>2</th>
			<th>3</th>
			<th>4</th>
			<th>5</th>
			<th>6</th>
			<th>7</th>
			<th>8</th>
			<th>9</th>
			<th>10</th>
			<th>11</th>
			<th>12</th>			
		</tr>
			
		<xsl:apply-templates/>	
		
    </table>
    
	<p>&nbsp;</p>
	
	<!-- Zkratky ********************************************************** -->
    
    <table cellspacing="1" class="helpLine">
    <tr>
    
    <td align="left" class="helpLine"><strong><xsl:element name="span"><xsl:attribute name="id">helpLine</xsl:attribute></xsl:element>&nbsp;</strong></td>
    </tr>
    </table>
    
	<!-- ****************************************************************** -->	
	
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->	
	
	</div><!-- main -->	

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis mesicnich prumeru ****************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow/I_S_AN_MONTH_AVG_DET/DataRow">
	
	<tr align="right">
	
		<td align="center" rowspan="2">
      <xsl:element name="a">
        <xsl:attribute name="href">
          ../pollution_overview/overview_<xsl:value-of select="@COMPONENT"/>_<xsl:value-of select="/I_S_AN_REPORT/DataRow/I_S_AN_MONTH_AVG/DataRow/I_S_AN_MONTH_AVG_REGION/DataRow/I_S_AN_MONTH_AVG_DISTRICT/DataRow/I_S_AN_MONTH_AVG_LOCALITY/DataRow/I_S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="@ID_REGISTRATION"/>.xml
        </xsl:attribute>
        <xsl:value-of disable-output-escaping='yes' select="@COMPONENT_AS_HTML"/>
      </xsl:element>
      <!-- a -->
    </td>

    <td align="center" rowspan="2"><xsl:value-of select="@MEASSURING_METHOD"/></td>
		<td align="center" rowspan="2"><xsl:value-of disable-output-escaping='yes' select="@UNIT_AS_HTML"/></td>
		
		<th align="right"><xsl:call-template name="_Xm"/></th>
		
		<td align="right"><xsl:value-of select="@M_1"/></td>
		<td align="right"><xsl:value-of select="@M_2"/></td>
		<td align="right"><xsl:value-of select="@M_3"/></td>
		<td align="right"><xsl:value-of select="@M_4"/></td>
		<td align="right"><xsl:value-of select="@M_5"/></td>
		<td align="right"><xsl:value-of select="@M_6"/></td>
		<td align="right"><xsl:value-of select="@M_7"/></td>
		<td align="right"><xsl:value-of select="@M_8"/></td>
		<td align="right"><xsl:value-of select="@M_9"/></td>
		<td align="right"><xsl:value-of select="@M_10"/></td>
		<td align="right"><xsl:value-of select="@M_11"/></td>
		<td align="right"><xsl:value-of select="@M_12"/></td>
			
		<td align="right" rowspan="2"><xsl:value-of select="@YEAR_AVG"/></td>
			
	</tr>
	
	<tr align="right">
	
		<th align="right"><xsl:call-template name="_NM"/></th>
		<td align="right"><xsl:value-of select="@COUNT_1"/></td>
		<td align="right"><xsl:value-of select="@COUNT_2"/></td>
		<td align="right"><xsl:value-of select="@COUNT_3"/></td>
		<td align="right"><xsl:value-of select="@COUNT_4"/></td>
		<td align="right"><xsl:value-of select="@COUNT_5"/></td>
		<td align="right"><xsl:value-of select="@COUNT_6"/></td>
		<td align="right"><xsl:value-of select="@COUNT_7"/></td>
		<td align="right"><xsl:value-of select="@COUNT_8"/></td>
		<td align="right"><xsl:value-of select="@COUNT_9"/></td>
		<td align="right"><xsl:value-of select="@COUNT_10"/></td>
		<td align="right"><xsl:value-of select="@COUNT_11"/></td>
		<td align="right"><xsl:value-of select="@COUNT_12"/></td>

			
	</tr>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
