<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/helpline_texts.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>

	<xsl:variable name="COMPONENT" select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
		<xsl:call-template name="_JavaScripts1"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>
	
	<div id="main">
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
	
	<h1>
		<xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT_AS_HTML"/>
		-
		<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT_NAME"/>
	</h1>
		
	<h2><xsl:call-template name="_MY_Chars"/></h2>

	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/I_S_AN_HDQY_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Matter_"/></th><td><xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT_AS_HTML"/>-<xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@COMPONENT_NAME"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Unit_"/></th><td><xsl:value-of disable-output-escaping='yes' select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@UNIT_AS_HTML"/></td></tr>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV != ''">
			<tr><th align="left">
				<xsl:choose>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
						<xsl:call-template name="_Hours"/><xsl:call-template name="_LV"/>:
					</xsl:when>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
						<xsl:call-template name="_8Hours"/><xsl:call-template name="_LV"/>:
					</xsl:when>
				</xsl:choose>
				</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_MT != ''">
			<tr><th align="left">
				<xsl:choose>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
						<xsl:call-template name="_Hours"/><xsl:call-template name="_MT"/>:
					</xsl:when>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
						<xsl:call-template name="_8Hours"/><xsl:call-template name="_MT"/>:
					</xsl:when>
				</xsl:choose>
				</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_MT"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV_EXC != ''">
			<tr><th align="left">
				<xsl:choose>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 1">
						<xsl:call-template name="_Hours"/><xsl:call-template name="_TE"/>:
					</xsl:when>
					<xsl:when test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_INT = 8">
						<xsl:call-template name="_8Hours"/><xsl:call-template name="_TE"/>:
					</xsl:when>
				</xsl:choose>
				</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@HOUR_LV_EXC"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV != ''">
			<tr><th align="left"><xsl:call-template name="_Days"/><xsl:call-template name="_LV"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_MT != ''">
			<tr><th align="left"><xsl:call-template name="_Days"/><xsl:call-template name="_MT"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_MT"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV_EXC != ''">
			<tr><th align="left"><xsl:call-template name="_Days"/><xsl:call-template name="_TE"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@DAY_LV_EXC"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV != ''">
			<tr><th align="left"><xsl:call-template name="_Years"/><xsl:call-template name="_LV"/>:</th><td><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV"/></td></tr>
		</xsl:if>
		
		<xsl:if test="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT != ''">
			<tr><th align="left"><xsl:call-template name="_Years"/><xsl:call-template name="_MT"/>:</th>
				<td>
					<xsl:choose>
						<!-- Year MT - orizni koncove nuly, As na dve des. mista, BZN zustanou 3, ostatnim nech 2 -->
						<xsl:when test="$COMPONENT = 'As'"><xsl:value-of select="substring(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, 1, string-length(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT) - 1)"/></xsl:when>
						<xsl:when test="$COMPONENT = 'BZN'"><xsl:value-of select="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT"/></xsl:when>
					
						<xsl:otherwise>
							<xsl:value-of select="substring(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, 1, string-length(I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT) - 2)"/>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</xsl:if>
	</table>
	
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>
			<th rowspan="3" align="center"><xsl:call-template name="_KMPL"/></th>
			<th rowspan="3" align="center"><xsl:call-template name="_Organization"/><br/><xsl:call-template name="_OldIsko"/><br/><xsl:call-template name="_Locality"/></th>
			<th rowspan="3" align="center"><xsl:call-template name="_TypeMeasPrg"/><br/><xsl:call-template name="_Method"/></th>
			<th colspan="13" align="center"><xsl:call-template name="_MonthValues"/></th>
			<th colspan="6" align="center"><xsl:call-template name="_YearValues"/></th>
		</tr>
		
		<tr align="center">
			<th rowspan="2"> </th>
			<th rowspan="2">1</th>
			<th rowspan="2">2</th>
			<th rowspan="2">3</th>
			<th rowspan="2">4</th>
			<th rowspan="2">5</th>
			<th rowspan="2">6</th>
			<th rowspan="2">7</th>
			<th rowspan="2">8</th>
			<th rowspan="2">9</th>
			<th rowspan="2">10</th>
			<th rowspan="2">11</th>
			<th rowspan="2">12</th>
			<th><xsl:call-template name="_Max."/></th>
			<th><xsl:call-template name="_95Kv"/></th>
			<th><xsl:call-template name="_50Kv"/></th>
			<th><xsl:call-template name="_X"/></th>
			<th><xsl:call-template name="_S"/></th>
			<th><xsl:call-template name="_N"/></th>
		</tr>
		
		<tr align="center">
			<th align="center"><xsl:call-template name="_Date"/></th>
			<th align="center"> </th>
			<th align="center"><xsl:call-template name="_98Kv"/></th>
			<th align="center"><xsl:call-template name="_XG"/></th>
			<th align="center"><xsl:call-template name="_SG"/></th>
			<th align="center"><xsl:call-template name="_dv"/></th>
		</tr>
			
	<xsl:apply-templates/>	
		
    </table>
		
	<!-- ****************************************************************** -->	
	
    <!-- Zkratky ********************************************************** -->
    
    <table cellspacing="1" class="helpLine">
    <tr>
    
    <td align="left" class="helpLine"><strong><xsl:element name="span"><xsl:attribute name="id">helpLine</xsl:attribute></xsl:element>&nbsp;</strong></td>
    </tr>
    </table>
    
	<!-- ****************************************************************** -->	
		
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis mer programu *********************************************** -->
	<xsl:template match="I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/I_S_AN_HDQY_REGION/DataRow/I_S_AN_HDQY_DISTRICT/DataRow/I_S_AN_HDQY_MEAS_PRG/DataRow">
		<!--  ****************************** 1. radek **************************************** -->
		<tr align="right">
			<td rowspan="2" align="center">
				<xsl:element name="a">
					<xsl:attribute name="href">
						../pollution_meas_prg/mp_<xsl:value-of select="@CODE"/>_<xsl:value-of select="@ID_MEAS_PRG"/>.xml
					</xsl:attribute>
					<b>
						<xsl:element name="span">
							<xsl:attribute name="id">
								mp_<xsl:value-of select="@CODE"/>_<xsl:value-of select="@ID_REGISTRATION"/>
							</xsl:attribute>
							<xsl:attribute name="style">text-align: center</xsl:attribute>
							<xsl:value-of select="@CODE"/>
						</xsl:element>
						<!-- span -->
					</b>
				</xsl:element>
				<!-- a -->
				<div style="text-align: center;">

					<xsl:element name="a">
						<xsl:attribute name="href">
							../pollution_overview/overview_<xsl:value-of select="$COMPONENT"/>_<xsl:value-of select="@CODE"/>_<xsl:value-of select="@ID_REGISTRATION"/>.xml
						</xsl:attribute>
						<img src="../images/detail.gif" alt="Detail" />
					</xsl:element>
					<!-- a -->

				</div>

				<span class="hidden_text">
					<xsl:value-of select="@ID_REGISTRATION"/>
				</span>
			</td>
			<td rowspan="2" align="center">
				<div style="text-align: center;">
					<xsl:value-of select="@OWNER"/>
					<br/>
					<xsl:value-of select="@MEAS_PRG_ISKO"/>
					<br/>
					<small>
						<xsl:value-of select="@LOCALITY"/>
					</small>
				</div>
			</td>
			<td rowspan="2" align="center">
				<xsl:value-of select="@MEAS_PRG_TYPE"/>
				<div style="text-align: center;">
					<xsl:element name="span">
						<xsl:attribute name="title">
							<xsl:value-of select="@MEASSURING_METHOD_NAME"/>
						</xsl:attribute>
						<xsl:value-of select="@MEASSURING_METHOD"/>
						<br/>
					</xsl:element>
				</div>
			</td>

			<th align="center">
				<xsl:call-template name="_Xm"/>
			</th>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM1"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM2"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM3"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM4"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM5"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM6"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM7"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM8"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM9"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM10"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM11"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_XM12"/>
			</td>

			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_MAX_VALUE"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@KV95"/>
			</td>
			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@KV50"/>
			</td>

			<td align="right">
				<xsl:choose>
					<xsl:when test="/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT != ''">

						<xsl:if test="translate(./I_S_AN_MY_DET/DataRow/@Y_X, ',', '.') &gt; translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV, ',', '.') + translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, ',', '.')">
							<b>
								<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_X"/>
							</b>
						</xsl:if>

						<xsl:if test="translate(./I_S_AN_MY_DET/DataRow/@Y_X, ',', '.') &lt;= translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_LV, ',', '.') + translate(/I_S_AN_REPORT/DataRow/I_S_AN_HDQY_CHAR/DataRow/@YEAR_MT, ',', '.')">
							<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_X"/>
						</xsl:if>

					</xsl:when>

					<xsl:otherwise>
						<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_X"/>
					</xsl:otherwise>

				</xsl:choose>
			</td>

			<td align="right">
				<xsl:if test="./I_S_AN_MY_DET/DataRow/@Y_S != ''" >
					<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_S"/>
				</xsl:if>
				<xsl:if test="./I_S_AN_MY_DET/DataRow/@Y_S = ''" >~</xsl:if>
			</td>

			<td align="right">
				<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_N"/>
			</td>
		</tr>
		<!--  ****************************** 2. radek **************************************** -->
		<tr align="right">
			<th align="center"><xsl:call-template name="_mc"/></th>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC1"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC2"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC3"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC4"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC5"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC6"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC7"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC8"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC9"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC10"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC11"/></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@M_MC12"/></td>
			
			<td><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_MAX_DATE"/></td>
			<td></td>
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@KV98"/></td>

			<td align="right">
				<xsl:if test="./I_S_AN_MY_DET/DataRow/@Y_XG != ''" >
					<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_XG"/>
				</xsl:if>
				<xsl:if test="./I_S_AN_MY_DET/DataRow/@Y_XG = ''" >~</xsl:if>
			</td>

			<td align="right">
				<xsl:if test="./I_S_AN_MY_DET/DataRow/@Y_SG != ''" >
					<xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_SG"/>
				</xsl:if>
				<xsl:if test="./I_S_AN_MY_DET/DataRow/@Y_SG = ''" >~</xsl:if>
			</td>
			
			<td align="right"><xsl:value-of select="./I_S_AN_MY_DET/DataRow/@Y_DV"/></td>
		</tr>

		<tr align="right">
			<td align="center" style="background-color: #FFFFFF" >
			</td>
			<td align="center" style="background-color: #FFFFFF" >
			</td>
			<td align="center" style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" >
			</td>
			<td style="background-color: #FFFFFF" >
			</td>
			<td style="background-color: #FFFFFF" >
			</td>
			<td style="background-color: #FFFFFF" >
			</td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
			<td style="background-color: #FFFFFF" ></td>
		</tr>
		
	</xsl:template>
    <!-- ****************************************************************** -->

</xsl:stylesheet>
