<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:variable name="COMPONENT_GROUP" select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@COMPONENT_GROUP"/>

	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">	
		
	<h1><xsl:call-template name="_DayValues"/></h1>
								
	<!-- ****************************************************************** -->	


	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow/@OWNER"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
				<xsl:element name="a">
					<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow/S_AN_DAY_VALUES_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow/S_AN_DAY_VALUES_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
					<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow/S_AN_DAY_VALUES_MEAS_PRG/DataRow/@CODE"/>	
				</xsl:element>, <!-- A -->
				<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow/@LOCALITY"/>
			</td>
		</tr>
		<tr><th align="left"><xsl:call-template name="_SamplingMethod"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow/S_AN_DAY_VALUES_MEAS_PRG/DataRow/@MEAS_PRG_TYPE"/></td></tr>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>	
			<th align="center"><xsl:call-template name="_Date"/></th>
			<th align="center">rain</th>
			<th align="center">cond</th>
			<th align="center">pH</th>
			<th align="center">Na</th>
			<th align="center">K</th>
			<th align="center">NH4</th>
			<th align="center">Mg</th>
			<th align="center">Ca</th>
			<th align="center">Mn</th>
			<th align="center">Zn</th>
			<th align="center">Al</th>
			<th align="center">Fe</th>
			<th align="center">Pb</th>
			<th align="center">Cd</th>
			<th align="center">Ni</th>
			<th align="center">F</th>
			<th align="center">Cl</th>
			<th align="center">NO3</th>
			<th align="center">SO4</th>
		</tr>
		<tr>	
			<th align="center"></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_RAIN"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_COND"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_PH"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_NA"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_K"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_NH4"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_MG"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_CA"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_MN"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_ZN"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_AL"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_FE"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_PB"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_CD"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_NI"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_F"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_CL"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_NO3"/></th>
			<th align="center"><xsl:value-of disable-output-escaping='yes' select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/@UNIT_AS_HTML_SO4"/></th>
		</tr>	
		<xsl:apply-templates/>	
		
    </table>
    
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis mesicnich prumeru ****************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow/S_AN_DAY_VALUES_MEAS_PRG/DataRow/S_AN_DAY_VALUES_DET/DataRow">
	
	<tr align="right">
		<td align="center"><xsl:value-of select="@DATE_VALUE"/></td>
		<td align="right"><xsl:value-of select="@VALUE_RAIN"/></td>
		<td align="right"><xsl:value-of select="@VALUE_COND"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PH"/></td>
		<td align="right"><xsl:value-of select="@VALUE_NA"/></td>
		<td align="right"><xsl:value-of select="@VALUE_K"/></td>
		<td align="right"><xsl:value-of select="@VALUE_NH4"/></td>
		<td align="right"><xsl:value-of select="@VALUE_MG"/></td>
		<td align="right"><xsl:value-of select="@VALUE_CA"/></td>
		<td align="right"><xsl:value-of select="@VALUE_MN"/></td>
		<td align="right"><xsl:value-of select="@VALUE_ZN"/></td>
		<td align="right"><xsl:value-of select="@VALUE_AL"/></td>
		<td align="right"><xsl:value-of select="@VALUE_FE"/></td>
		<td align="right"><xsl:value-of select="@VALUE_PB"/></td>
		<td align="right"><xsl:value-of select="@VALUE_CD"/></td>
		<td align="right"><xsl:value-of select="@VALUE_NI"/></td>
		<td align="right"><xsl:value-of select="@VALUE_F"/></td>
		<td align="right"><xsl:value-of select="@VALUE_CL"/></td>
		<td align="right"><xsl:value-of select="@VALUE_NO3"/></td>
		<td align="right"><xsl:value-of select="@VALUE_SO4"/></td>
	</tr>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
