<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
	
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
		<script type="text/javascript">
		<xsl:comment>
			function NajdiStanici(code)
			{
				if(code.substring(0,1) == '-')
					{ javascript:alert("<xsl:call-template name="_MsgSelectItem"/>");
					  return;
					}
				NovaStranka = "day_";
				NovaStranka = NovaStranka + code + ".xml";
				location.href = NovaStranka;
			}
			
			function objGet(x) 
			{
				if (typeof x != 'string') return x;
				else if (Boolean(document.getElementById)) return document.getElementById(x);
				else if (Boolean(document.all)) return eval('document.all.'+x);  // pro MSIE 4
				else return null;
			}

			function objSetStyle (obj, prop, val) 
			{
				var o = objGet(obj);
				if (o &amp;&amp; o.style) {
					eval ('o.style.'+prop+'="'+val+'"');
					return true;
					}
				else return false;
			}

			function objGetStyle (obj, prop) 
			{
				var o = objGet(obj);
				var val;
				if (o &amp;&amp; o.style) {
					val = eval ('o.style.'+prop);
					return val;
					}
				return null;
			}

			function objDisplay (obj, on, type) 
			{
			if (on &amp;&amp; !type) type = 'block';
			return objSetStyle(obj, 'display', (on) ? type:'none');
			}


			function objSetSrc (obj, val) 
			{
				var o = objGet(obj);
				if (o) {
					eval ('o.src="'+val+'"');
					return true;
					}
				else return false;
			}

			function objDisplaySwitch (objDiv, objFolderImage)
			{
			var val = objGetStyle (objDiv, 'display');
			   
			if(val == 'none')
				{ 
				objSetSrc(objFolderImage, '../images/open_fold.gif');
				return objSetStyle(objDiv, 'display', '');
				}
			else
				{
				objSetSrc(objFolderImage, '../images/clsd_fold.gif');
				return objSetStyle(objDiv, 'display', 'none');
				}
			}

		</xsl:comment>
		</script>
	</head>
	<!-- ****************************************************************** -->
		
	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
		
	<h1><xsl:call-template name="_DayValues"/></h1>
	<h3><xsl:call-template name="_LayoutRegDistr"/></h3>
				
	<!-- ****************************************************************** -->	
	
	<!-- Vyhledavac ******************************************************* -->
	
	<table class="vyhledavac">
		<tr>
			<td align='right'>
			<form action="referer">
			<div>
			<xsl:call-template name="_ListOfMeasPrg"/>
				<select name='stanice'>
					<option><xsl:call-template name="_MsgUnselected"/></option>
					
						<xsl:for-each select="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow">
						<xsl:if test="@COUNT_CHILDS &gt; 0">
						
							<xsl:element name="optgroup">
							<xsl:attribute name="label"><xsl:call-template name="_Region"/> <xsl:value-of select="@REGION"/></xsl:attribute>
							<xsl:variable name="ID_REGION" select="@ID"/>
							
							<xsl:for-each select="../DataRow/S_AN_DAY_VALUES_DISTRICT/DataRow[@ID_AN_REGION=$ID_REGION]" >
							<xsl:if test="@COUNT_CHILDS &gt; 0">									
							<xsl:variable name="ID_DISTRICT" select="@ID"/>
													
								<xsl:for-each select="../DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow[@ID_AN_DISTRICT=$ID_DISTRICT]" >
									<xsl:if test="@COUNT_CHILDS &gt; 0">
										<xsl:variable name="ID_LOCALITY" select="@ID"/>
										
										<xsl:for-each select="../DataRow/S_AN_DAY_VALUES_MEAS_PRG/DataRow[@ID_AN_LOCALITY=$ID_LOCALITY]">
										<xsl:if test="@COUNT_CHILDS &gt; 0">			
											<option>
												<xsl:value-of select="@CODE"/>, <xsl:value-of select="../../@LOCALITY"/>				
											</option>
										</xsl:if>	
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
								
							</xsl:if>
							</xsl:for-each>
							
							</xsl:element><!-- optgroup -->
						
						</xsl:if>
						</xsl:for-each>
				</select>	
				
				<xsl:element name="input">
					<xsl:attribute name="type">button</xsl:attribute>
					<xsl:attribute name="style">width:5em</xsl:attribute>
					<xsl:attribute name="value"><xsl:call-template name="_MsgGoTo"/></xsl:attribute>
					<xsl:attribute name="onclick">NajdiStanici(stanice.options[stanice.selectedIndex].text.substring(0,5) )</xsl:attribute>												
				</xsl:element><!-- input -->
				
			</div>
			</form>	
			</td>
		</tr>
	</table>

	<!-- ****************************************************************** -->	
	
			
	<!-- Telo reportu ***************************************************** -->
	<xsl:apply-templates/>
	<!-- ****************************************************************** -->	
	
	</div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>
	<!-- ****************************************************************** -->
	<!-- ****************************************************************** -->

	<!-- Vypis kraju ****************************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow">

	<xsl:if test="@COUNT_CHILDS &gt; 0" >	

		<xsl:element name="div">
			<xsl:attribute name="onclick">objDisplaySwitch('vypis<xsl:value-of select="@ID"/>', 'Of<xsl:value-of select="@ID"/>')</xsl:attribute>
			<xsl:attribute name="style">cursor:hand</xsl:attribute>
												
					
			<xsl:element name="h3">
				<xsl:attribute name="id">nadpis<xsl:value-of select="@ID"/></xsl:attribute>
				<xsl:attribute name="onmouseover">this.style.backgroundColor='silver'</xsl:attribute>
				<xsl:attribute name="onmouseout">this.style.backgroundColor='white'</xsl:attribute>
								
				<xsl:element name="img">
					<xsl:attribute name="id">Of<xsl:value-of select="@ID"/></xsl:attribute>
					<xsl:attribute name="alt"><xsl:call-template name="_clsd_fold"/></xsl:attribute>
					<xsl:attribute name="src">../images/clsd_fold.gif</xsl:attribute>
				</xsl:element><!-- img -->
				
				<xsl:call-template name="_Region"/> <xsl:value-of select="@REGION"/>
								
			</xsl:element><!-- h3 -->
		</xsl:element><!-- div -->
		
		<!-- Vypis okresu a lokalit **********  -->
		<xsl:element name="div">
			<xsl:attribute name="id">vypis<xsl:value-of select="@ID"/></xsl:attribute>
			<xsl:attribute name="style">display:none</xsl:attribute>
													
			<xsl:apply-templates/>
			  
		</xsl:element><!-- div -->
		<!-- ***********************************  -->
		
		<script type="text/javascript">
			<xsl:comment>
			objDisplay('vypis<xsl:value-of select="@ID"/>', false);
			</xsl:comment>
		</script>
	
	</xsl:if>
		
	</xsl:template>
    <!-- ****************************************************************** -->
    <!-- ****************************************************************** -->
    
    <!-- Vypis okresu a lokalit ******************************************* -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_DAY_VALUES/DataRow/S_AN_DAY_VALUES_REGION/DataRow/S_AN_DAY_VALUES_DISTRICT">

	<table>
		<!-- Vypis okresu ***************************************************** -->
		<xsl:for-each select="DataRow">
			
			<xsl:if test="@COUNT_CHILDS &gt; 0">
			
				<tr><td align="left">
					<p>
					<h3><i>
					<xsl:call-template name="_District"/> <xsl:value-of select="@DISTRICT"/>
					</i></h3>
					<xsl:variable name="ID_DISTRICT" select="@ID"/>
					
					<!-- Vypis lokalit **************************************************** -->
					<xsl:for-each select="../DataRow/S_AN_DAY_VALUES_LOCALITY/DataRow[@ID_AN_DISTRICT=$ID_DISTRICT]">
						
						<xsl:if test="@COUNT_CHILDS &gt; 0">
						
							<xsl:variable name="ID_LOCALITY" select="@ID"/>
							
							<xsl:for-each select="../DataRow/S_AN_DAY_VALUES_MEAS_PRG/DataRow[@ID_AN_LOCALITY=$ID_LOCALITY]">
						
								<!--
								<xsl:if test="@COUNT_CHILDS = 0">
									<xsl:value-of select="./@CODE"/>, 
									<xsl:value-of select="../../@LOCALITY"/>, (<xsl:value-of select="../../../../@DISTRICT"/>)
									<span class="nodata"><xsl:call-template name="_NoData"/></span><br/>	
								</xsl:if>
								-->
								
								<xsl:if test="@COUNT_CHILDS &gt; 0">
								
									<xsl:element name="a">
											<xsl:attribute name="href">day_<xsl:value-of select="./@CODE"/>.xml</xsl:attribute>
											<xsl:value-of select="./@CODE"/>	
									</xsl:element><!-- a -->, 
									<xsl:value-of select="../../@LOCALITY"/><br/>	
								</xsl:if>
								
							</xsl:for-each>
						
						</xsl:if>
						
					</xsl:for-each>
					</p>
				</td></tr>
				
			</xsl:if>
			
		</xsl:for-each>
		<!-- ****************************************************************** -->
	</table>
			
    </xsl:template>
    <!-- ****************************************************************** -->

</xsl:stylesheet>
