﻿<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="COMPONENT_GROUP" select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/@COMPONENT_GROUP"/>
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
  <xsl:decimal-format name="czech" decimal-separator="," grouping-separator=" "/>
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->
		
	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
		
	<h1><xsl:call-template name="_PrecipMonthTitle"/></h1>
	
	<!-- ****************************************************************** -->	

	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr>

      <xsl:if test="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@IS_HYDRO != '1'">
        <th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/></td>
      </xsl:if>
      <xsl:if test="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@IS_HYDRO = '1'">
        <th align="left"><xsl:call-template name="_HydroYear"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/></td>
      </xsl:if>
    </tr>
		
    <tr><th align="left"><xsl:call-template name="_Region"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/@REGION"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_District"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/@DISTRICT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@OWNER"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_MeasPrg_"/></th>
			<td>
			
				<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE, '-')">
					<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>
				</xsl:if>	
				
				<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE, '-'))">
				
					<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/@ID_MEAS_PRG"/>.xml</xsl:attribute>
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/@CODE"/>	
					</xsl:element>, <!-- A -->
					<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@LOCALITY"/>
				
				</xsl:if>
			</td>
		</tr>
		<tr><th align="left"><xsl:call-template name="_Type_"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/@MEAS_PRG_TYPE"/></td></tr>
	</table>
	
	<p>&nbsp;</p>
	
	<table class="data_table" cellspacing="1">
		<tr>	
			<th rowspan="2" align="center"><xsl:call-template name="_Matter"/></th>
			<!-- <th rowspan="2" align="center"><xsl:call-template name="_Method"/></th> -->
			<th rowspan="2" align="center"><xsl:call-template name="_Unit"/></th>
			
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@IS_HYDRO = '1'">
				<th colspan="2" align="center"><xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT - 1"/></th>
				<th colspan="10" align="center"><xsl:call-template name="_MonthConc"/></th>
			</xsl:if>
			
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@IS_HYDRO != '1'">
				<th colspan="12" align="center"><xsl:call-template name="_MonthConc"/></th>
			</xsl:if>
			
			<!--	
			<th rowspan="2">Roční<br/> průměr</th>
			-->
		</tr>
		
		<tr>
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@IS_HYDRO = '1'">
				<th>11</th>
				<th>12</th>
				<th>1</th>
				<th>2</th>
				<th>3</th>
				<th>4</th>
				<th>5</th>
				<th>6</th>
				<th>7</th>
				<th>8</th>
				<th>9</th>
				<th>10</th>
			</xsl:if>
			
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/@IS_HYDRO != '1'">		
				<th>1</th>
				<th>2</th>
				<th>3</th>
				<th>4</th>
				<th>5</th>
				<th>6</th>
				<th>7</th>
				<th>8</th>
				<th>9</th>
				<th>10</th>
				<th>11</th>
				<th>12</th>	
			</xsl:if>
		
		</tr>
			
		<xsl:apply-templates/>	
		
    </table>
    
    </div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis mesicnich prumeru ****************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_MONTH_AVG/DataRow/S_AN_MONTH_AVG_REGION/DataRow/S_AN_MONTH_AVG_DISTRICT/DataRow/S_AN_MONTH_AVG_LOCALITY/DataRow/S_AN_MONTH_AVG_MEAS_PRG/DataRow/S_AN_MONTH_AVG_DET/DataRow">
	
	<tr align="right">
	
		<td align="center"><xsl:value-of select="@COMPONENT"/></td>
		<!--<td align="center"><xsl:value-of select="@MEASSURING_METHOD"/></td> -->
		<td align="center"><xsl:value-of disable-output-escaping='yes' select="@UNIT_AS_HTML"/></td>

<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Ni' or @COMPONENT = 'rain' or @COMPONENT = 'cond'">	
	<xsl:if test="@M_1 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_1,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_1 = '' ">
		<td align="right"><xsl:value-of select="@M_1"/></td>
	</xsl:if>
	<xsl:if test="@M_2 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_2,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_2 = '' ">
		<td align="right"><xsl:value-of select="@M_2"/></td>
	</xsl:if>
	<xsl:if test="@M_3 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_3,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_3 = '' ">
		<td align="right"><xsl:value-of select="@M_3"/></td>
	</xsl:if>
	<xsl:if test="@M_4 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_4,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_4 = '' ">
		<td align="right"><xsl:value-of select="@M_4"/></td>
	</xsl:if>
	<xsl:if test="@M_5 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_5,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_5 = '' ">
		<td align="right"><xsl:value-of select="@M_5"/></td>
	</xsl:if>
	<xsl:if test="@M_6 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_6,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_6 = '' ">
		<td align="right"><xsl:value-of select="@M_6"/></td>
	</xsl:if>
	<xsl:if test="@M_7 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_7,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_7 = '' ">
		<td align="right"><xsl:value-of select="@M_7"/></td>
	</xsl:if>
	<xsl:if test="@M_8 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_8,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_8 = '' ">
		<td align="right"><xsl:value-of select="@M_8"/></td>
	</xsl:if>
	<xsl:if test="@M_9 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_9,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_9 = '' ">
		<td align="right"><xsl:value-of select="@M_9"/></td>
	</xsl:if>
	<xsl:if test="@M_10 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_10,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_10 = '' ">
		<td align="right"><xsl:value-of select="@M_10"/></td>
	</xsl:if>
	<xsl:if test="@M_11 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_11,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_11 = '' ">
		<td align="right"><xsl:value-of select="@M_11"/></td>
	</xsl:if>
	<xsl:if test="@M_12 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_12,',','.'), '########0,0', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_12 = '' ">
		<td align="right"><xsl:value-of select="@M_12"/></td>
	</xsl:if>
</xsl:if>
<xsl:if test="@COMPONENT = 'pH'">
	<xsl:if test="@M_1 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_1,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_1 = '' ">
		<td align="right"><xsl:value-of select="@M_1"/></td>
	</xsl:if>
	<xsl:if test="@M_2 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_2,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_2 = '' ">
		<td align="right"><xsl:value-of select="@M_2"/></td>
	</xsl:if>
	<xsl:if test="@M_3 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_3,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_3 = '' ">
		<td align="right"><xsl:value-of select="@M_3"/></td>
	</xsl:if>
	<xsl:if test="@M_4 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_4,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_4 = '' ">
		<td align="right"><xsl:value-of select="@M_4"/></td>
	</xsl:if>
	<xsl:if test="@M_5 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_5,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_5 = '' ">
		<td align="right"><xsl:value-of select="@M_5"/></td>
	</xsl:if>
	<xsl:if test="@M_6 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_6,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_6 = '' ">
		<td align="right"><xsl:value-of select="@M_6"/></td>
	</xsl:if>
	<xsl:if test="@M_7 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_7,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_7 = '' ">
		<td align="right"><xsl:value-of select="@M_7"/></td>
	</xsl:if>
	<xsl:if test="@M_8 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_8,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_8 = '' ">
		<td align="right"><xsl:value-of select="@M_8"/></td>
	</xsl:if>
	<xsl:if test="@M_9 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_9,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_9 = '' ">
		<td align="right"><xsl:value-of select="@M_9"/></td>
	</xsl:if>
	<xsl:if test="@M_10 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_10,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_10 = '' ">
		<td align="right"><xsl:value-of select="@M_10"/></td>
	</xsl:if>
	<xsl:if test="@M_11 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_11,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_11 = '' ">
		<td align="right"><xsl:value-of select="@M_11"/></td>
	</xsl:if>
	<xsl:if test="@M_12 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_12,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_12 = '' ">
		<td align="right"><xsl:value-of select="@M_12"/></td>
	</xsl:if>
</xsl:if>

<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">	
	<xsl:if test="@M_1 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_1,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_1 = '' ">
		<td align="right"><xsl:value-of select="@M_1"/></td>
	</xsl:if>
	<xsl:if test="@M_2 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_2,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_2 = '' ">
		<td align="right"><xsl:value-of select="@M_2"/></td>
	</xsl:if>
	<xsl:if test="@M_3 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_3,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_3 = '' ">
		<td align="right"><xsl:value-of select="@M_3"/></td>
	</xsl:if>
	<xsl:if test="@M_4 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_4,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_4 = '' ">
		<td align="right"><xsl:value-of select="@M_4"/></td>
	</xsl:if>
	<xsl:if test="@M_5 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_5,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_5 = '' ">
		<td align="right"><xsl:value-of select="@M_5"/></td>
	</xsl:if>
	<xsl:if test="@M_6 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_6,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_6 = '' ">
		<td align="right"><xsl:value-of select="@M_6"/></td>
	</xsl:if>
	<xsl:if test="@M_7 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_7,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_7 = '' ">
		<td align="right"><xsl:value-of select="@M_7"/></td>
	</xsl:if>
	<xsl:if test="@M_8 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_8,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_8 = '' ">
		<td align="right"><xsl:value-of select="@M_8"/></td>
	</xsl:if>
	<xsl:if test="@M_9 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_9,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_9 = '' ">
		<td align="right"><xsl:value-of select="@M_9"/></td>
	</xsl:if>
	<xsl:if test="@M_10 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_10,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_10 = '' ">
		<td align="right"><xsl:value-of select="@M_10"/></td>
	</xsl:if>
	<xsl:if test="@M_11 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_11,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_11 = '' ">
		<td align="right"><xsl:value-of select="@M_11"/></td>
	</xsl:if>
	<xsl:if test="@M_12 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_12,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_12 = '' ">
		<td align="right"><xsl:value-of select="@M_12"/></td>
	</xsl:if>
</xsl:if>
<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">	
	<xsl:if test="@M_1 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_1,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_1 = '' ">
		<td align="right"><xsl:value-of select="@M_1"/></td>
	</xsl:if>
	<xsl:if test="@M_2 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_2,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_2 = '' ">
		<td align="right"><xsl:value-of select="@M_2"/></td>
	</xsl:if>
	<xsl:if test="@M_3 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_3,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_3 = '' ">
		<td align="right"><xsl:value-of select="@M_3"/></td>
	</xsl:if>
	<xsl:if test="@M_4 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_4,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_4 = '' ">
		<td align="right"><xsl:value-of select="@M_4"/></td>
	</xsl:if>
	<xsl:if test="@M_5 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_5,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_5 = '' ">
		<td align="right"><xsl:value-of select="@M_5"/></td>
	</xsl:if>
	<xsl:if test="@M_6 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_6,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_6 = '' ">
		<td align="right"><xsl:value-of select="@M_6"/></td>
	</xsl:if>
	<xsl:if test="@M_7 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_7,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_7 = '' ">
		<td align="right"><xsl:value-of select="@M_7"/></td>
	</xsl:if>
	<xsl:if test="@M_8 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_8,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_8 = '' ">
		<td align="right"><xsl:value-of select="@M_8"/></td>
	</xsl:if>
	<xsl:if test="@M_9 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_9,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_9 = '' ">
		<td align="right"><xsl:value-of select="@M_9"/></td>
	</xsl:if>
	<xsl:if test="@M_10 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_10,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_10 = '' ">
		<td align="right"><xsl:value-of select="@M_10"/></td>
	</xsl:if>
	<xsl:if test="@M_11 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_11,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_11 = '' ">
		<td align="right"><xsl:value-of select="@M_11"/></td>
	</xsl:if>
	<xsl:if test="@M_12 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_12,',','.'),'##########')"/></td>
	</xsl:if>
	<xsl:if test="@M_12 = '' ">
		<td align="right"><xsl:value-of select="@M_12"/></td>
	</xsl:if>
</xsl:if>
<xsl:if test="@COMPONENT = 'Cd'">				
	<xsl:if test="@M_1 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_1,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_1 = '' ">
		<td align="right"><xsl:value-of select="@M_1"/></td>
	</xsl:if>
	<xsl:if test="@M_2 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_2,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_2 = '' ">
		<td align="right"><xsl:value-of select="@M_2"/></td>
	</xsl:if>
	<xsl:if test="@M_3 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_3,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_3 = '' ">
		<td align="right"><xsl:value-of select="@M_3"/></td>
	</xsl:if>
	<xsl:if test="@M_4 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_4,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_4 = '' ">
		<td align="right"><xsl:value-of select="@M_4"/></td>
	</xsl:if>
	<xsl:if test="@M_5 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_5,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_5 = '' ">
		<td align="right"><xsl:value-of select="@M_5"/></td>
	</xsl:if>
	<xsl:if test="@M_6 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_6,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_6 = '' ">
		<td align="right"><xsl:value-of select="@M_6"/></td>
	</xsl:if>
	<xsl:if test="@M_7 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_7,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_7 = '' ">
		<td align="right"><xsl:value-of select="@M_7"/></td>
	</xsl:if>
	<xsl:if test="@M_8 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_8,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_8 = '' ">
		<td align="right"><xsl:value-of select="@M_8"/></td>
	</xsl:if>
	<xsl:if test="@M_9 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_9,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_9 = '' ">
		<td align="right"><xsl:value-of select="@M_9"/></td>
	</xsl:if>
	<xsl:if test="@M_10 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_10,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_10 = '' ">
		<td align="right"><xsl:value-of select="@M_10"/></td>
	</xsl:if>
	<xsl:if test="@M_11 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_11,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_11 = '' ">
		<td align="right"><xsl:value-of select="@M_11"/></td>
	</xsl:if>
	<xsl:if test="@M_12 != '' ">
		<td align="right"><xsl:value-of select="format-number(translate(@M_12,',','.'),'#######0,00', 'czech')"/></td>
	</xsl:if>
	<xsl:if test="@M_12 = '' ">
		<td align="right"><xsl:value-of select="@M_12"/></td>
	</xsl:if>
</xsl:if>
		
		<!--	
		<td><xsl:value-of select="@YEAR_AVG"/></td>
		-->
			
	</tr>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    

</xsl:stylesheet>
