﻿<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="COMPONENT_GROUP" select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@COMPONENT_GROUP"/>
	<xsl:variable name="OWNER" select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@OWNER_ABBREV"/>
	
	<xsl:include href="../help_xslt/strings.xslt"/>
	<xsl:include href="../help_xslt/hdr_ftr.xslt"/>
  <xsl:decimal-format name="czech" decimal-separator="," grouping-separator=" "/>
	<xsl:template match="/">
	
	<html>
	
	<!-- Zahlavi ********************************************************** -->	
	<head>
		<title>
			<xsl:call-template name="_PageTitle"/> - <xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/>
		</title>

		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="keywords" content="imise, emise, ekologie, chmu"/>
		<style type="text/css" media="all">@import "../styles.css";</style>
		<meta name="Author" content="Lumir Vanek, vanek@idea-envi.cz" />
		<meta name="copyright" content="2009 CHMI - Komorany, CZECH REPUBLIC"/>
	</head>
	<!-- ****************************************************************** -->

	<body>

	<div id="main">
	
	<!-- Nadpis *********************************************************** -->
	<xsl:call-template name="_Header"/>
	<!-- ****************************************************************** -->

	<div id="content" class="content">
					
	<h1><xsl:call-template name="_YearDeposTitle"/></h1>
								
	<!-- ****************************************************************** -->	


	<!-- Telo reportu ***************************************************** -->
	
	<table class="data_table" cellspacing="1">
		<tr><th align="left"><xsl:call-template name="_Year"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/@YEAR_REPORT"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Organization_"/></th><td><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@OWNER_ABBREV"/></td></tr>
		<tr><th align="left"><xsl:call-template name="_Analyse"/></th>
      
      
			<td>
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@SAMPLING_INT = '0000-00-01 00:00:00'">
				<xsl:call-template name="_DayValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@SAMPLING_INT = '0000-00-07 00:00:00'">
				<xsl:call-template name="_WeekValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@SAMPLING_INT = '0000-01-00 00:00:00'">
				<xsl:call-template name="_MonthValues"/><br/>	
			</xsl:if>
			
			<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@SAMPLING_INT = '0000-00-00 00:00:00'">
				<xsl:call-template name="_IrregularValues"/><br/>	
			</xsl:if>
			
			</td>
	</tr>
	
    
    
    
	</table>
	
	<p>&nbsp;</p>
	
	<table  class="data_table" cellspacing="1">
		<tr>	
			<th rowspan="2" align="center"><xsl:call-template name="_Matter_"/></th>
			<th rowspan="2" align="center"><xsl:call-template name="_Unit_"/></th>
										
			<xsl:element name="th">
				<xsl:attribute name="colspan"><xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@NUM_VALUES"/></xsl:attribute>
				<xsl:attribute name="align">center</xsl:attribute><xsl:call-template name="_KMPLDesc"/>
		</xsl:element><!-- th -->
			
		</tr>
		
		<tr>
			
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1, '-'))">
						
						<xsl:if test="$OWNER != 'MS Pol'">
								
							<xsl:element name="a">
							<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG1"/>.xml</xsl:attribute>
								<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1"/></xsl:attribute>
								<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1"/>	
							</xsl:element><!-- a -->
						
						</xsl:if>
						
						<xsl:if test="$OWNER = 'MS Pol'">
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1"/>	
						</xsl:if>
												
					</xsl:if>
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2, '-'))">
								
						<xsl:if test="$OWNER != 'MS Pol'">
								
							<xsl:element name="a">
							<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG2"/>.xml</xsl:attribute>
								<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2"/></xsl:attribute>
								<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2"/>	
							</xsl:element><!-- a -->
						
						</xsl:if>
						
						<xsl:if test="$OWNER = 'MS Pol'">
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE2"/>	
						</xsl:if>	
							
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3, '-'))">		
					
						<xsl:if test="$OWNER != 'MS Pol'">
								
							<xsl:element name="a">
							<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG3"/>.xml</xsl:attribute>
								<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3"/></xsl:attribute>
								<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3"/>	
							</xsl:element><!-- a -->
							
						</xsl:if>
						
						<xsl:if test="$OWNER = 'MS Pol'">
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE3"/>	
						</xsl:if>
							
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4, '-'))">
								
						<xsl:if test="$OWNER != 'MS Pol'">
								
							<xsl:element name="a">
							<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG4"/>.xml</xsl:attribute>
								<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4"/></xsl:attribute>
								<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4"/>	
							</xsl:element><!-- a -->
						
						</xsl:if>
						
						<xsl:if test="$OWNER = 'MS Pol'">
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE4"/>	
						</xsl:if>	
							
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5, '-'))">								
					
						<xsl:if test="$OWNER != 'MS Pol'">
								
							<xsl:element name="a">
							<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG5"/>.xml</xsl:attribute>
								<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5"/></xsl:attribute>
								<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5"/>	
							</xsl:element><!-- a -->
							
						</xsl:if>
						
						<xsl:if test="$OWNER = 'MS Pol'">
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE5"/>	
						</xsl:if>
							
					</xsl:if>
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6, '-'))">
								
						<xsl:if test="$OWNER != 'MS Pol'">
								
							<xsl:element name="a">
							<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG6"/>.xml</xsl:attribute>
								<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6"/></xsl:attribute>
								<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6"/>	
							</xsl:element><!-- a -->
						
						</xsl:if>
						
						<xsl:if test="$OWNER = 'MS Pol'">
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE6"/>	
						</xsl:if>	
							
					</xsl:if>
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE7 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE7, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE7"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE7, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE7"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG7"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE7"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE7"/>	
						</xsl:element><!-- a -->
					</xsl:if>
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE8 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE8, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE8"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE8, '-'))">
										
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE8"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG8"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE8"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE8"/>	
						</xsl:element><!-- a -->
					</xsl:if>
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE9 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE9, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE9"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE9, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE9"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG9"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE9"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE9"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE10 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE10, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE10"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE10, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE10"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG10"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE10"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE10"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE11 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE11, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE11"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE11, '-'))">
										
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE11"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG11"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE11"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE11"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE12 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE12, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE12"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE12, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE12"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG12"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE12"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE12"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE13 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE13, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE13"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE13, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE13"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG13"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE13"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE13"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE14 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE14, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE14"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE14, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE14"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG14"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE14"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE14"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE15 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE1, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE15"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG15"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE15"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE15"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE16 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE16, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE16"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE16, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE16"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG16"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE16"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE16"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE17 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE17, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE17"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE17, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE17"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG17"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE17"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE17"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE18 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE18, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE18"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE18, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE18"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG18"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE18"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE18"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE19 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE19, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE19"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE19, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE19"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG19"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE19"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE19"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE20 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE20, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE20"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE20, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE20"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG20"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE20"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE20"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE21 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE21, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE21"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE21, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE21"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG21"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE21"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE21"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE22 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE22, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE22"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE22, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE22"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG22"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE22"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE22"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE23 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE23, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE23"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE23, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE23"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG23"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE23"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE23"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE24 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE24, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE24"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE24, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE24"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG24"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE24"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE24"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE25 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE25, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE25"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE25, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE25"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG25"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE25"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE25"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE26 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE26, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE26"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE26, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE26"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG26"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE26"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE26"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE27 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE27, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE27"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE27, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE27"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG27"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE27"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE27"/>	
						</xsl:element><!-- a -->
					</xsl:if>
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE28 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE28, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE28"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE28, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE28"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG28"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE28"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE28"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE29 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE29, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE29"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE29, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE29"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG29"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE29"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE29"/>	
						</xsl:element><!-- a -->
					</xsl:if>	
					</th>
				</xsl:if>
				
				<xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE30 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE30, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE30"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE30, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE30"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG30"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE30"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE30"/>	
						</xsl:element><!-- a -->
					</xsl:if>
					</th>
				</xsl:if>
      
        <xsl:if test="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE31 != ''">
					<th>
					<xsl:if test="starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE31, '-')">
						<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE31"/>
					</xsl:if>	
				
					<xsl:if test="not(starts-with(S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE31, '-'))">
								
						<xsl:element name="a">
						<xsl:attribute name="href">../precipitation_meas_prg/mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE31"/>_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@ID_MEAS_PRG31"/>.xml</xsl:attribute>
							<xsl:attribute name="id">mp_<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE31"/></xsl:attribute>
							<xsl:value-of select="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/@MEAS_PRG_CODE31"/>	
						</xsl:element><!-- a -->
					</xsl:if>
					</th>
				</xsl:if>
		</tr>
			
		<xsl:apply-templates/>	
		
    </table>
    
    </div><!-- content -->

	<!-- Pata ************************************************************* -->
	<xsl:call-template name="_Footer"/>
	<!-- ****************************************************************** -->

	</div><!-- main -->

	</body>
	</html>
	
	</xsl:template>

	<!-- Vypis mesicnich prumeru ****************************************** -->
	<xsl:template match="S_AN_REPORT/DataRow/S_AN_Y_WET_DEPOS/DataRow/S_AN_Y_WET_DEPOS_DET/DataRow">
	
	<tr align="right">
	
		<td align="center"><!-- Prehod pH na H -->
			<xsl:if test="@COMPONENT != 'pH'">
				<xsl:value-of select="@COMPONENT"/>
			</xsl:if>
		
			<xsl:if test="@COMPONENT = 'pH'">
				H
			</xsl:if>
		</td>
		
		
		<td align="center"><!-- Prehod ug/l na mg/m2 -->
			<xsl:if test="@UNIT_AS_HTML != 'ug/l'">
				<xsl:value-of disable-output-escaping='yes' select="@UNIT_AS_HTML"/>
			</xsl:if>
		
			<xsl:if test="@UNIT_AS_HTML = 'ug/l'">
				mg/m<sup>2</sup>
			</xsl:if>
		</td>
		
		<xsl:if test="../../@MEAS_PRG_CODE1 != ''">
		    <xsl:if test="@VALUE1 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE1,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE1,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE1,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE1,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE1,',','.'),'#######0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE1 = '' ">
			<td><xsl:value-of select="@VALUE1"/></td>
	      </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE2 != ''">
		    <xsl:if test="@VALUE2 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE2,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE2,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE2,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE2,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE2,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE2 = '' ">
			<td><xsl:value-of select="@VALUE2"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE3 != ''">
		    <xsl:if test="@VALUE3 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE3,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE3,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE3,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE3,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE3,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE3 = '' ">
			<td><xsl:value-of select="@VALUE3"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE4 != ''">
		    <xsl:if test="@VALUE4 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE4,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE4,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE4,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE4,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE4,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE4 = '' ">
			<td><xsl:value-of select="@VALUE4"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE5 != ''">
		    <xsl:if test="@VALUE5 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE5,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE5,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE5,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE5,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE5,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE5 = '' ">
			<td><xsl:value-of select="@VALUE5"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE6 != ''">
		    <xsl:if test="@VALUE6 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE6,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE6,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE6,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE6,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE6,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE6 = '' ">
			<td><xsl:value-of select="@VALUE6"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE7 != ''">
		    <xsl:if test="@VALUE7 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE7,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE7,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE7,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE7,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE7,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE7 = '' ">
			<td><xsl:value-of select="@VALUE7"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE8 != ''">
		    <xsl:if test="@VALUE8 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE8,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE8,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE8,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE8,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE8,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE8 = '' ">
			<td><xsl:value-of select="@VALUE8"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE9 != ''">
		    <xsl:if test="@VALUE9 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE9,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE9,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE9,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE9,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE9,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE9 = '' ">
			<td><xsl:value-of select="@VALUE9"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE10 != ''">
		    <xsl:if test="@VALUE10 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE10,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE10,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE10,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE10,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE10,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE10 = '' ">
			<td><xsl:value-of select="@VALUE10"/></td>
	            </xsl:if>
		</xsl:if>
				
		<xsl:if test="../../@MEAS_PRG_CODE11 != ''">
		    <xsl:if test="@VALUE11 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE11,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE11,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE11,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE11,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE11,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE11 = '' ">
			<td><xsl:value-of select="@VALUE11"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE12 != ''">
		    <xsl:if test="@VALUE12 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE12,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE12,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE12,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE12,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE12,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE12 = '' ">
			<td><xsl:value-of select="@VALUE12"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE13 != ''">
		    <xsl:if test="@VALUE13 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE13,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE13,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE13,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE13,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE13,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE13 = '' ">
			<td><xsl:value-of select="@VALUE13"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE14 != ''">
		    <xsl:if test="@VALUE14 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE14,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE14,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE14,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE14,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE14,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE14 = '' ">
			<td><xsl:value-of select="@VALUE14"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE15 != ''">
		    <xsl:if test="@VALUE15 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE15,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE15,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE15,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE15,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE15,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE15 = '' ">
			<td><xsl:value-of select="@VALUE15"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE16 != ''">
		    <xsl:if test="@VALUE16 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE16,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE16,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE16,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE16,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE16,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE16 = '' ">
			<td><xsl:value-of select="@VALUE16"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE17 != ''">
		    <xsl:if test="@VALUE17 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE17,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE17,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE17,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE17,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE17,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE17 = '' ">
			<td><xsl:value-of select="@VALUE17"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE18 != ''">
		    <xsl:if test="@VALUE18 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE18,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE18,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE18,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE18,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE18,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE18 = '' ">
			<td><xsl:value-of select="@VALUE18"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE19 != ''">
		    <xsl:if test="@VALUE19 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE19,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE19,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE19,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE19,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE19,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE19 = '' ">
			<td><xsl:value-of select="@VALUE19"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE20 != ''">
		    <xsl:if test="@VALUE20 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE20,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE20,',','.'),'########0,0')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE20,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE20,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE20,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE20 = '' ">
			<td><xsl:value-of select="@VALUE20"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE21 != ''">
		    <xsl:if test="@VALUE21 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE21,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE21,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE21,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE21,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE21,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE21 = '' ">
			<td><xsl:value-of select="@VALUE21"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE22 != ''">
		    <xsl:if test="@VALUE22 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE22,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE22,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE22,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE22,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE22,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE22 = '' ">
			<td><xsl:value-of select="@VALUE22"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE23 != ''">
		    <xsl:if test="@VALUE23 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE23,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE23,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE23,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE23,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE23,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE23 = '' ">
			<td><xsl:value-of select="@VALUE23"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE24 != ''">
		    <xsl:if test="@VALUE24 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE24,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE24,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE24,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE24,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE24,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE24 = '' ">
			<td><xsl:value-of select="@VALUE24"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE25 != ''">
		    <xsl:if test="@VALUE25 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE25,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE25,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE25,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE25,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE25,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE25 = '' ">
			<td><xsl:value-of select="@VALUE25"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE26 != ''">
		    <xsl:if test="@VALUE26 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE26,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE26,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE26,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE26,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE26,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE26 = '' ">
			<td><xsl:value-of select="@VALUE26"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE27 != ''">
		    <xsl:if test="@VALUE27 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE27,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE27,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE27,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE27,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE27,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE27 = '' ">
			<td><xsl:value-of select="@VALUE27"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE28 != ''">
		    <xsl:if test="@VALUE28 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE28,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE28,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE28,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE28,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE28,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE28 = '' ">
			<td><xsl:value-of select="@VALUE28"/></td>
	            </xsl:if>
		</xsl:if>
		
		<xsl:if test="../../@MEAS_PRG_CODE29 != ''">
		    <xsl:if test="@VALUE29 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE29,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE29,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE29,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE29,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE29,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE29 = '' ">
			<td><xsl:value-of select="@VALUE29"/></td>
	            </xsl:if>
		</xsl:if>
	
		<xsl:if test="../../@MEAS_PRG_CODE30 != ''">
		    <xsl:if test="@VALUE30 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE30,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE30,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE30,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE30,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE30,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE30 = '' ">
			<td><xsl:value-of select="@VALUE30"/></td>
	            </xsl:if>
		</xsl:if>			
    
    <xsl:if test="../../@MEAS_PRG_CODE31 != ''">
		    <xsl:if test="@VALUE31 != '' ">
			<xsl:if test="@COMPONENT = 'rain' ">	
				<td><xsl:value-of select="format-number(translate(@VALUE31,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'pH' or @COMPONENT = 'cond'">	
				<td><xsl:value-of select="format-number(translate(@VALUE31,',','.'),'########0,0', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'Na' or @COMPONENT = 'K' or @COMPONENT = 'Mg' or @COMPONENT = 'Ca' or @COMPONENT = 'NH4'">
				<td><xsl:value-of select="format-number(translate(@VALUE31,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT = 'F' or @COMPONENT = 'Cl' or @COMPONENT = 'SO4' or @COMPONENT = 'NO3' or @COMPONENT = 'Fe' or @COMPONENT = 'Al'">
				<td><xsl:value-of select="format-number(translate(@VALUE31,',','.'),'#########', 'czech')"/></td>
			</xsl:if>
			<xsl:if test="@COMPONENT ='Mn' or @COMPONENT = 'Zn' or @COMPONENT = 'Pb' or @COMPONENT = 'Cd' or @COMPONENT = 'Ni'">	
				<td><xsl:value-of select="format-number(translate(@VALUE31,',','.'),'########0,00', 'czech')"/></td>
			</xsl:if>
	            </xsl:if>
		    <xsl:if test="@VALUE31 = '' ">
			<td><xsl:value-of select="@VALUE31"/></td>
	            </xsl:if>
		</xsl:if>			
	</tr>
	
	</xsl:template>
    <!-- ****************************************************************** -->
    
</xsl:stylesheet>
